astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Models and Fitting (`astropy.modeling`) »
- MexicanHat1D

# MexicanHat1D

class `astropy.modeling.functional_models.``MexicanHat1D`

  Bases: `astropy.modeling.Fittable1DModel`

  One dimensional Mexican Hat model.

  Parameters:

  amplitude : float

  > Amplitude

  x_0 : float

  > Position of the peak

  sigma : float

  > Width of the Mexican hat

  Other Parameters:

  fixed : a dict

  > A dictionary `{parameter_name: boolean}` of parameters to not be varied during fitting. True means the parameter is held fixed. Alternatively the `fixed` property of a parameter may be used.

  tied : dict

  > A dictionary `{parameter_name: callable}` of parameters which are linked to some other parameter. The dictionary values are callables providing the linking relationship. Alternatively the `tied` property of a parameter may be used.

  bounds : dict

  > A dictionary `{parameter_name: boolean}` of lower and upper bounds of parameters. Keys are parameter names. Values are a list of length 2 giving the desired range for the parameter. Alternatively the `min` and `max` properties of a parameter may be used.

  eqcons : list

  > A list of functions of length `n` such that `eqcons[j](x0,*args) == 0.0` in a successfully optimized problem.

  ineqcons : list

  > A list of functions of length `n` such that `ieqcons[j](x0,*args) >= 0.0` is a successfully optimized problem.

  See also

  `MexicanHat2D`, `Box1D`, `Gaussian1D`, `Trapezoid1D`

  Notes

  Model formula:

  f(x) = {A \left(1 - \frac{\left(x - x_{0}\right)^{2}}{\sigma^{2}}\right) e^{- \frac{\left(x - x_{0}\right)^{2}}{2 \sigma^{2}}}}

  Attributes Summary

  `amplitude` |
  `param_names` |
  `sigma` |
  `x_0` |

  Methods Summary

  `evaluate`(x, amplitude, x_0, sigma) | One dimensional Mexican Hat model function

  Attributes Documentation

  `amplitude`
  `param_names` = ('amplitude', 'x_0', 'sigma')
  `sigma`
  `x_0`

  Methods Documentation

  static `evaluate`(x, amplitude, x_0, sigma)

    One dimensional Mexican Hat model function